<?php

ob_start();


     


include './ConexionII.php';
include './GestionDB.php';
session_start();


$Conexion = new Conexion();
$Con = $Conexion->conect();
$DB = new GestionDBFacturas();
$DBII = new GestionDBProducto();




if ($_SESSION['Impresa']== true) {
// Ya se imprimió, cambio de header
unset($_SESSION['Numero']);
unset($_SESSION['Fecha']);
unset($_SESSION['NombreCliente']);
unset($_SESSION['ApellidoCliente']);
unset($_SESSION['Cedula']);
unset($_SESSION['Direccion']);
unset($_SESSION['Telefono']);
unset($_SESSION['Celular']);
unset($_SESSION['Contador']);
unset($_SESSION['Correo']);
unset($_SESSION['Congelador']);
unset($_SESSION['Marca']);
unset($_SESSION['Linea']);
unset($_SESSION['CodigoProducto']);
unset($_SESSION['IdCliente']);
unset($_SESSION['Factura']);
unset($_SESSION['Descuento']);
unset($_SESSION['DescuentoAplicado']);
header("Location: ./RegistroNota.php");
}


if (!isset($_SESSION['Congelador'])) {
$_SESSION['Congelador'] = $_GET['congelador'];


//Cambio 2!!!
$queryCon = 'SELECT * FROM congeladores WHERE codigo = "'.$_SESSION['Congelador'].'"';
            $resultCon = mysql_query($queryCon, $Con);
            $datoCon = mysql_fetch_array($resultCon);
$_SESSION['Marca'] = $datoCon['marca'];
//echo $_GET['congelador'];
}
                    
if (!isset($_SESSION['Descuento'])) {
$_SESSION['Descuento'] = $_GET['descuento']; 
} 

if(isset($_SESSION['Usuario'])){
  
  

 
}else{

    //Si no le muestro otra página, puede ser la de Login
    header("Location: /MauricioCorrea/incorrecto.html");
}
$Fecha = date("y-m-d H:i:s");
$_SESSION['Fecha'] = strtotime('-5 hour', strtotime($Fecha));
$_SESSION['Fecha'] = date("y-m-d H:i:s", $_SESSION['Fecha']);


?>

<!DOCTYPE html>





<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>Nota</title>
                   <link rel="icon" type="image/png" href="imagenes/compra.png" />
          
        <script type="text/javascript" src="Js/jquery.min.js" ></script>
        <link rel="stylesheet" type="text/css" href="estilos.css">
        <link rel="stylesheet" type="text/css" href="fonts.css">
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
        <script src="http://code.jquery.com/jquery-latest.js"></script>
        <script src="mysqlwslib.js"></script>
        <script src="menu.js"></script>

       <script>
function multiplicar() {
m1 = document.getElementById("Cantidad").value;
m2 = document.getElementById("Valor").value;
Subtotal = m1*m2;
document.getElementById("Subtotal").value = Subtotal;

}


function Cambia() {
CodigoJS = document.getElementById("Codigo").value
alert(CodigoJS);
<?php
$Codigo = '<script> document.write(CodigoJS) </script>'; 
$query = 'SELECT * FROM productos WHERE codigo = '.$Codigo.'';
$result = mysql_query($query, $Con);
?>;
document.getElementById("Producto").value = 'Nombre';
document.getElementById("Valor").value = '5000';
}









var cont=1;
function addRowX()  //Esta la funcion que agrega las filas :
{




cont++;
var indiceFila=1;
myNewRow = document.getElementById('tabla').insertRow(-1);
myNewRow.id=indiceFila;




myNewCell=myNewRow.insertCell(-1);
myNewCell.innerHTML='<td><input type="number" id="Codigo'+cont+'" value="0" name="codigo_'+cont+'" autofocus="autofocus" min="0" required="required" class="required" style="width:110px; height:30px;" ></td> <ts><input type="submit" name="Buscar_'+cont+'" id="Buscar_'+cont+'" value="Buscar" style="width:60px; height:40px;" /></td>';

/*myNewCell=myNewRow.insertCell(-1);
myNewCell.innerHTML='<td><input type="number" value="0" name="codigo_'+cont+'" autofocus="autofocus" required="required" class="required" style="width:110px; height:30px;"></td>';

myNewCell=myNewRow.insertCell(-1);
myNewCell.innerHTML='<td><input type="text" readonly value="" name="producto_'+cont+'" autofocus="autofocus" required="required" class="required" style="width:200px; height:30px;"></td>';

myNewCell=myNewRow.insertCell(-1);
myNewCell.innerHTML='<input type="number" id="Cantidad'+cont+'" value="0" name="cantidad_'+cont+'" autofocus="autofocus" min="0" required="required" class="required" style="width:50px; height:30px;" onChange="multiplicar'+cont+'();">';
myNewCell=myNewRow.insertCell(-1);
myNewCell.innerHTML='<input type="text" readonly value="5" name="valor_'+cont+'" autofocus="autofocus" min="0" required="required" id="Valor'+cont+'" class="required" style="width:100px; height:30px;">';
myNewCell=myNewRow.insertCell(-1);
myNewCell.innerHTML='<input type="number" readonly value="0" id="Subtotal'+cont+'" name="subtotal_'+cont+'" autofocus="autofocus" min="0" required="required" class="required" style="width:100px; height:30px;">';

*/
indiceFila++;

}
//////////////Borrar() ///////////
function borrar() {
var table = document.getElementById('tabla');
if(table.rows.length > 3)
    {
    table.deleteRow(table.rows.length -1);
cont--;
    }
}

////////////FUNCION ASIGNA VALOR DE CONT PARA EL FOR DE MOSTRAR DATOS MP-MOD-TT////////
function asigna()
{
valor=document.form.var_cont.value=cont;
}



</script>
        
    </head>
    <body>
        
        <header>
<?php

if(isset($_SESSION['Usuario'])){

echo '<a class="datosusuario icon-exit" href="/MauricioCorrea/Cerrar.php"> - Salir</a>';
echo '<span class="datosusuario icon-users"> - Bienvenido '.$_SESSION['Nombre'].'</span>';


}else{
    header("Location: /MauricioCorrea/incorrecto.html");
}

       





     echo '<div class="menu_bar">
        <a href="#" class="bt-menu"><span class="icon-newspaper"></span>Menu</a>
        </div>
            <nav>
                <ul>
                    <li><a href="inicio.php"><span class="icon-home"> </span>Inicio</a></li>  
                    <li class="submenu">
                    <a href="#"><span class="icon-user-tie"></span>Admin<span class="caret icon-circle-down"></span></a>    
                    <ul class="children">
                        <li><a href="Registro.php" ><span class="icon-user-plus"></span>Crea Vendedor</a></li>
                        <li><a href="ModificaVendedor.php" ><span class="icon-pencil"></span>Modifica Vendedor</a></li>
                        <li><a href="RegistroCliente.php" ><span class="icon-user-plus"></span>Crea Cliente <span class="user-plus"></a></li>
                        <li><a href="RegistroProveedor.php" ><span class="icon-user-plus"></span>Crea Proveedor <span class="user-plus"></a></li>
                       

                    </ul>
                    </li>


                    <li class="submenu">
                     <a href="#"><span class="icon-cart"> </span>Vend<span class="caret icon-circle-down"></span></a>
                      <ul class="children">
                        <li><a href="RegistroCliente.php" ><span class="icon-user-plus"></span>Crea Cliente <span class=""></a></li>
                        <li><a href="RegistroVenta.php" ><span class="icon-cart"></span>Crea Factura <span class=""></a></li>
                        <li><a href="RegistroRemision.php" ><span class="icon-file-text2"></span>Crea Remision <span class=""></a></li>
                        <li><a href="RegistroNota.php" ><span class="icon-files-empty"></span>Crea Nota <span class=""></a></li>
                    </ul>
                    </li>    





                     <li class="submenu">
                    <a href="#.php"><span class="icon-users"> </span>Clientes<span class="caret icon-circle-down"></span></a>    
                   <ul class="children">  
                    
                    <li><a href="RegistraCongelador.php"><span class="icon-credit-card"> </span>Registra Congelador</a></li>  
                    <li><a href="ModificaCliente.php"><span class="icon-user-check"> </span>Modificar Cliente</a></li>  
                    <li><a href="InformesClientes.php"><span class="icon-profile"> </span>Informe Clientes</a></li> 
                    <li><a href="InformesVentas.php"><span class="icon-calculator"> </span>Informe Ventas</a></li> 
                    </ul> 
                     </li>        

                       <li class="submenu">
                    <a href="#"><span class="icon-user-tie"></span>Proveedores<span class="caret icon-circle-down"></span></a>    
                    <ul class="children">
                    <li><a href="RegistroCompra.php" ><span class="icon-plus"></span>Carga Compra <span class="plus"></a></li>
                        <li><a href="ModificaProveedor.php" ><span class="icon-user-plus"></span>Modificar Proveedor</a></li>
                        
                        <li><a href="InformesCompras.php" ><span class="icon-stats-bars2"></span>Informe Compras <span class="plus"></a></li>

                    </ul>
                    </li>



                                        
                    <li class="submenu">
                    <a href="#.php"><span class="icon-droplet"> </span>Prod<span class="caret icon-circle-down"></span></a>    
                   <ul class="children">
                        <li><a href="CrearProducto.php" ><span class="icon-barcode"></span>Crea Producto <span class=""></a></li>
                        <li><a href="ModificarProducto.php" ><span class="icon-qrcode"></span>Modifica Producto <span class=""></a></li>
                        <li><a href="InformesInventarios.php" ><span class="icon-files-empty"></span>Informe Inventario <span class=""></a></li>
                    </ul> 
                     </li>    
                    <li><a href="Cerrar.php"><span class="icon-exit"> </span>Salir</a></li>                    
                </ul>
            </nav>
        </header>
        <section id="TablaLog1">
            
            <p>
            <form method="get" name="Registro" action="RegistroNotaII.php">
            <div><p id="Titulo"> Nueva nota </p></div>
            <br>
        
                
            <table  cellspacing="10"  style="margin: 0 auto;"  >
            <tr>
                <td>
                <span class="required"><div>Tipo</div></span>
                 <input type="text" disabled="disabled" name="tipo" disabled="disabled" value="NOTA" autofocus="autofocus" min="0" required="required" class="required" style="width:140px; height:30px;">
                </td>
                <td>
                <span class="required"><div>Numero</div></span>
                <input type="text" disabled="disabled" name="numero" value=" '.$_SESSION['Numero']; echo'" autofocus="autofocus" min="0" required="required" class="required" style="width:140px; height:30px;">
                </td>


                <td>
                <span class="required"><div>Fecha</div></span>
                <input type="text" id="dateDefault" disabled="disabled"  value="' .$_SESSION['Fecha']; echo'" name="fecha" autofocus="autofocus" required="required" class="required" style="width:185px; height:30px;">
                </td>
<td> <span class="required"><div>Vendedor</div></span>

 <input type="text" name="vendedor"  disabled="disabled" value="'. $_SESSION['Nombre'] . ' ' .$_SESSION['Apellido']; echo'" autofocus="autofocus" required="required" class="required" style="width:180px; height:30px;">
</td>
                
             </tr>               
             <tr>
             <td>
            <span class="required"><div>Nombre</div></span>
            <input type="text" disabled="disabled" name="nombre" value=" '.$_SESSION['NombreCliente']; echo'" autofocus="autofocus" min="0" required="required" class="required" style="width:150px; height:30px;">
            </td>


            <td>
            <span class="required"><div>Cédula</div></span>
            <input type="text" disabled="disabled" name="cedula" value=" '.$_SESSION['Cedula']; echo'" autofocus="autofocus" min="0" required="required" class="required" style="width:140px; height:30px;">
            </td>       

<td>
            <span class="required"><div>Dirección</div></span>
            <input type="text" disabled="disabled" name="direccion" value=" '.$_SESSION['Direccion'] ; echo'" autofocus="autofocus" min="0" required="required" class="required" style="width:185px; height:30px;">
            </td>
            
            <td>
            <span class="required"><div>Descuento</div></span>
            <input type="text" disabled="disabled" name="direccion" value=" '.$_SESSION['Descuento'] ; echo'" autofocus="autofocus" min="0" required="required" class="required" style="width:185px; height:30px;">
            </td>

   <tr>
            
           

            <td>
            <span class="required"><div>Teléfono</div></span>
            <input type="text" disabled="disabled" name="telefono" value=" '.$_SESSION['Telefono']; echo'" autofocus="autofocus" min="0" required="required" class="required" style="width:150px; height:30px;">
            </td>

            <td>
            <span class="required"><div>Celular</div></span>
            <input type="text" disabled="disabled" name="celular" value=" '.$_SESSION['Celular']; echo'" autofocus="autofocus" min="0" required="required" class="required" style="width:140px; height:30px;">
            </td>

            <td colspan="2">
            <span class="required"><div>Congelador</div></span>
            <input type="text" disabled="disabled" name="congelador" value=" '.$_SESSION['Congelador']; echo'" autofocus="autofocus" min="0" required="required" class="required" style="width:390px; height:30px;">
            </td>
            </tr>
           

           
        </table>
        </form>


<form id="form" name="form" action="'; echo $_SERVER['PHP_SELF']; echo'" method="post" onsubmit="asigna()">
<table cellspacing="10"  style="margin: 0 auto;" id="tabla">
<tr colspan="13" align="left">
<tr align="center">

</tr>

</tr>

<tr>
<td width=170>Código</td>
<td width=200>Producto</td>
<td width=50>Cantidad</td>
<td width=70>Valor</td>
<td width=130>Total</td>
</tr>

<tr>
<td width=170><input type="number" id="Codigo" value="0" name="codigo_1" autofocus="autofocus" min="0" required="required" class="required" style="width:100px; height:30px;" >
<input type="submit" name="Buscar_1" id="Buscar_1" value="Buscar" style="width:60px; height:40px;" onsubmit="Cambia()"/></td>
</td>




        ';

$Codigo;
$datos;
if(isset($_POST['Buscar_1'])){



$Codigo = $_POST['codigo_1']; 

$query = 'SELECT * FROM productos WHERE codigo = '.$Codigo.'';
$result = mysql_query($query, $Con);
$datos = mysql_fetch_array($result);
if(mysql_num_rows($result) >0){

echo '
<td width=200><input type="text" id="Producto" readonly value="'.$datos['descripcion']; echo'" name="producto_1" autofocus="autofocus" min="0" required="required" class="required" style="width:200px; height:30px;" ></td>
<td width=50 ><input type="number" id="Cantidad" value="0" name="cantidad_1" autofocus="autofocus" min="0" required="required" class="required" style="width:50px; height:30px;" onChange="multiplicar();"></td>
<td width=70><input type="text" readonly value="'.$datos['precio1']; echo'" name="valor_1" autofocus="autofocus" min="0" required="required" id="Valor" class="required" style="width:70px; height:30px;"></td>
<td width=130> <input type="number" readonly value="0" id="Subtotal" name="subtotal_1" autofocus="autofocus" min="0" required="required" class="required" style="width:85px; height:30px;">
<input type="hidden" name="codigo_1" value="'.$Codigo; echo'">
<input type="submit" name="Grabar" id="Grabar" value="OK" style="width:35px; height:35px;"/></td>
<input type="hidden" name="var_cont">
</tr>
';

}else{
    print '<script language="JavaScript">'; 
        print 'alert("El producto no existe en la base de datos!!!" )'; 
        print '</script>'; 
}

}


  if(isset($_POST['Grabar'])){

if($_POST['cantidad_1'] == 0){

print '<script language="JavaScript">'; 
print 'alert("No se permiten grabar cantidades en cero!!!" )'; 
print '</script>'; 

}else{
    setlocale(LC_MONETARY, 'en_US');

$_SESSION['Linea'][($_SESSION['Contador'] + 1)] = array('codigo' => $_POST['codigo_1'], 'producto' => $_POST['producto_1'], 'cantidad' => $_POST['cantidad_1'], 'valor' => $_POST['valor_1'], 'valorsiniva' => ($_POST['valor_1']/1.16), 'subtotal' => $_POST['subtotal_1'], 'subtotalsiniva' => ($_POST['subtotal_1']/1.16));
$_SESSION['Contador'] = $_SESSION['Contador'] + 1;

}
}
echo '
<table  cellspacing="10"  style="margin: 0 auto; font-size:17px;"  >
<tr>
<td width=170>Código</td>
<td width=200>Producto</td>
<td width=50>Cantidad</td>
<td width=70>Valor</td>
<td width=130>Subtotal</td>
</tr>
';
$Descuento = 0;
$Subtotal = 0;
$IVA = 0;
$Total = 0;
for($Indice = 1; $Indice <= $_SESSION['Contador']; $Indice++){

if(isset($_POST['Borrar'.$Indice]))  {
echo 'Se eliminó la línea '.$Indice ;

//print '<script language="JavaScript">'; 
//print 'alert("Presionó Borrar!!!" )'; 
//print '</script>'; 
unset($_SESSION['Linea'][$Indice]);
//array_splice($_SESSION['Linea'], ($Indice -1), 1);
//print_r($_SESSION['Linea']);


  }


    
    $Subtotal = $Subtotal + ($_SESSION['Linea'][$Indice]['cantidad'] * $_SESSION['Linea'][$Indice]['valorsiniva']);
    $Descuento = ($Subtotal * ($_SESSION['Descuento']/100));
    //Total = $Total + ($_SESSION['Linea'][$Indice]['cantidad'] * $_SESSION['Linea'][$Indice]['valor']) - $Descuento;
        $IVA = ($Subtotal * 1.16)-$Subtotal;
        $Total = $Subtotal + $IVA - $Descuento;


echo '<tr id="'.$Indice.'">
<td width=170>';
echo $_SESSION['Linea'][$Indice]['codigo'];
echo '
</td>
<td width=200>';
echo $_SESSION['Linea'][$Indice]['producto'];
echo '
</td>

<td width=50>';
echo $_SESSION['Linea'][$Indice]['cantidad'];
echo '
</td>

<td width=70>';


echo number_format($_SESSION['Linea'][$Indice]['valor']);
//echo number_format($_SESSION['Linea'][$Indice]['valorsiniva']);
echo '
</td>

<td width=130>';
echo number_format($_SESSION['Linea'][$Indice]['subtotal']);
//echo number_format($_SESSION['Linea'][$Indice]['subtotalsiniva']);
echo '
</td>
<td width=50>
<input type="submit" name="Borrar'.$Indice.'" id="Borrar'.$Indice.'" value="X" style="width:60px; height:40px;" onclick="ocultar'.$Indice.'()"/>
</td>

</tr>';

     //print_r($_SESSION['Linea'][$Indice]); echo "<br>";
}
echo '
<tr>
<td colspan="4">
SUBTOTAL NOTA
</td>
<td>
'; echo number_format($Subtotal); echo'
</td>
</tr>
<tr>
<td colspan="4">
DESCUENTO
</td>
<td>
'; echo number_format($Descuento); echo'
</td>
</tr>
<tr>
<td colspan="4">
IVA
</td>
<td>
'; echo number_format($IVA); echo'
</td>
</tr>
<tr>
<td colspan="4">
TOTAL NOTA
</td>
<td>
'; echo number_format($Total); echo'
</td>
</tr>
<tr>
<td colspan="6">
<input type="submit" name="GenerarFactura" id="GenerarFactura" value="Generar Nota" style="width:700px; height:40px;" />
</td>
</tr>
</table>
</form>
<form method="get" name="Cancelar" action="CerrarSesionFactura.php">

<table  cellspacing="10"  style="margin: 0 auto;"  >
<tr>
<td colspan="6">
<input type="submit" name="Cancelar" id="Cancelar" value="Cancelar" style="width:700px; height:40px;"/>
</td>
</tr>
</table>
</form>';


if(isset($_POST['GenerarFactura'])){
//1 - Grabar las facturas en la tabla facturas
if($Total != 0){
$_SESSION['Subtotal'] = $Subtotal;
$_SESSION['IVA'] = $IVA;
$_SESSION['Total'] = $Total;
$_SESSION['DescuentoAplicado'] = $Descuento;
$_SESSION['Contador2'] = 0;
    

$Vendedor = ($_SESSION['Nombre'] . ' '.$_SESSION['Apellido']);
$DB->ingresarEncabezado(($DB->arregloEncabezado('NOTA', $_SESSION['Numero'], $_SESSION['Fecha'], $Vendedor, $_SESSION['IdCliente'], $_SESSION['Cedula'], $_SESSION['NombreCliente'], $_SESSION['ApellidoCliente'], $_SESSION['Telefono'], $_SESSION['Direccion'],  $_SESSION['Congelador'], $Subtotal, $_SESSION['Descuento'], $Descuento, $IVA, $Total)), $Con);

    


//2 - Grabar los movimientos en la tabla ventas
for($Indice = ($Indice-1); $Indice > 0; $Indice--){
$DB->ingresarVenta(($DB->arregloVenta($_SESSION['Numero'], 'NOTA', $_SESSION['Linea'][$Indice]['codigo'], $_SESSION['Congelador'], $_SESSION['Cedula'], $_SESSION['Linea'][$Indice]['valor'], $_SESSION['Linea'][$Indice]['valorsiniva'], $_SESSION['Linea'][$Indice]['cantidad'], $_SESSION['Linea'][$Indice]['subtotal'], $_SESSION['Descuento'])), $Con);



//3 - Afectar el saldo de inventario de cada artículo en el arreglo
$codigo = $_SESSION['Linea'][$Indice]['codigo'];
$query = 'SELECT * FROM productos WHERE codigo = "'.$codigo.'"';
            $result = mysql_query($query, $Con);
            $dato = mysql_fetch_array($result);
$nuevosaldo = $dato['saldo'] + $_SESSION['Linea'][$Indice]['cantidad'];


$DB->eliminaproducto($codigo, $Con);
$DBII->ingresarProducto(($DBII->arregloProducto($codigo, $_SESSION['Linea'][$Indice]['producto'], $_SESSION['Linea'][$Indice]['valor'], $dato['iva'], $dato['costo'], $nuevosaldo)), $Con);
 
}
header('Location: NotaPNG.php');
}else{
print '<script language="JavaScript">'; 
        print 'alert("Aún no ha registrado productos en la nota credito!!!" )'; 
        print '</script>'; 
        }



   

    

  }




        



                    

ob_end_flush();

          
       
        ?>
    </body>
</html>